{% extends "base.html" %}
{% block main %}
{% with messages = get_flashed_messages() %}
    {% if messages %}
        <ul class="list-group">
            {% for message in messages %}
                <li class="list-group-item list-group-item-danger">{{ message }}</li>
            {% endfor %}
        </ul>
    {% endif %}
{% endwith %}
    <form role="form" method="POST", action="{{ url_for('login') }}" class="form-horizontal">
        {{ form.hidden_tag() }}
        <div class="form-group">
            <label for="" class="col-sm-2 control-label">
                {{ form.username.label }}
            </label>
            <div class="col-sm-10">
                {{ form.username(placeholder = "Pseudo") }}
            </div>
        </div>
        <div class="form-group">
            <label for="" class="col-sm-2 control-label">
                {{ form.password.label }}
            </label>
            <div class="col-sm-10">
                {{ form.password }}
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset col-sm-10">
                <input class="btn btn-default" type="submit" value="Sign in">
            </div>
        </div>
        
    </form>
{% endblock %}